Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class ContextBean

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.ContextBean

Direct Known Subclasses:
  ActionComponent, AppendIterator, Bean, Date, IteratorComponent, MergeIterator, Number, Set, Text, URL

    public abstract class ContextBean

extends Component

Base class for control and data tags

Field Summary
`protected String` | `var`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure`

Constructor Summary
`ContextBean(ValueStack stack)`

Method Summary
`protected String` | `getVar()`
`protected void` | `putInContext(Object value)`
`void` | `setId(String id)` To keep backward compatibility TODO remove after 2.1
`void` | `setVar(String var)`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, completeExpressionIfAltSyntax, copyParams, determineActionURL, determineNamespace, end, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### var

    protected String var

Constructor Detail

### ContextBean

    public ContextBean(ValueStack stack)

Method Detail

### putInContext

    protected void putInContext(Object value)

### setVar

    public void setVar(String var)

### setId

    public void setId(String id)

  To keep backward compatibility TODO remove after 2.1

### getVar

    protected String getVar()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.